## pinch

pinch — Applies 'pinch' geometric transform to the image

## Synopsis

    struct              GstPinch;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseTransform
                               +----GstVideoFilter
                                     +----GstGeometricTransform
                                           +----GstCircleGeometricTransform
                                                 +----GstPinch

## Properties

      "intensity"                gdouble               : Read / Write

## Description

## Synopsis

### Element Information

plugin | geometrictransform
author | Thiago Santos<thiago.sousa.santos@collabora.co.uk>
class | Transform/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### struct GstPinch

    struct GstPinch;

## Property Details

### The `"intensity"` property

      "intensity"                gdouble               : Read / Write

intensity of the pinch effect.

Allowed values: [-1,1]

Default value: 0.5